avcodec/nvenc: add minimum driver version for SDK 8.2 and 9.0
authorTimo Rothenpieler <timo@rothenpieler.org>
Sat, 9 Mar 2019 23:25:31 +0000 (00:25 +0100)
committerTimo Rothenpieler <timo@rothenpieler.org>
Sat, 9 Mar 2019 23:25:31 +0000 (00:25 +0100)
Signed-off-by: Timo Rothenpieler <timo@rothenpieler.org>
libavcodec/nvenc.c

index 304a684..d3413b3 100644 (file)
@@ -122,7 +122,19 @@ static int nvenc_print_error(void *log_ctx, NVENCSTATUS err,
 
 static void nvenc_print_driver_requirement(AVCodecContext *avctx, int level)
 {
-#if NVENCAPI_CHECK_VERSION(8, 1)
+#if NVENCAPI_CHECK_VERSION(9, 0)
+# if defined(_WIN32) || defined(__CYGWIN__)
+    const char *minver = "418.81";
+# else
+    const char *minver = "418.30";
+# endif
+#elif NVENCAPI_CHECK_VERSION(8, 2)
+# if defined(_WIN32) || defined(__CYGWIN__)
+    const char *minver = "397.93";
+# else
+    const char *minver = "396.24";
+#endif
+#elif NVENCAPI_CHECK_VERSION(8, 1)
 # if defined(_WIN32) || defined(__CYGWIN__)
     const char *minver = "390.77";
 # else